Display full version of the post: block insertion code

priyanka
09.05.2008, 10:18
Hi all,
I m not sure if i m in the right forum to ask this question. But i need a code in VBA or AutoLISP for inserting block with insertion point specified on screen.
Please Help with the code or where else can i search for it

chris h.
09.05.2008, 15:09
getpoint
 
(setq ? (getpoint sp "\nInsert Point: ))

Arben.Allaraj
09.05.2008, 15:23
[QUOTE=priyanka]
Hi all,
I m not sure if i m in the right forum to ask this question. But i need a code in VBA or AutoLISP for inserting block with insertion point specified on screen.
Please Help with the code or where else can i search for it
[/QUOTE]
Maybe This can help you.
 If doesn't function tell us again.
(defun c:MyBlock (/ pt)  (while (setq pt (getpoint "\nPick Insertion point."))    (command "-insert" "BlockName" "_non" pt "" "" pause)  )  (princ))